package cn.iocoder.yudao.framework.common.validation;

import cn.hutool.core.util.StrUtil;
import cn.iocoder.yudao.framework.common.util.validation.StrValidationUtils;
import cn.iocoder.yudao.framework.common.util.validation.ValidationUtils;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;

public class MarksValidator implements ConstraintValidator<Marks, String> {

    @Override
    public void initialize(Marks annotation) {
    }

    @Override
    public boolean isValid(String value, ConstraintValidatorContext context) {
        // 如果唛头为空，默认不校验，即校验通过
        if (StrUtil.isEmpty(value)) {
            return true;
        }
        // 校验唛头
        // 需要以字母开头
        return StrValidationUtils.isIndexLetterAndLetterDigit(value);
    }

}
